Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.14.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 22767

Description

When loading a QLR file QGIS locks the parent directory. This lock is not released before QGIS is closed.

Imagine a qlr at the path

c:\\test\\file.qlr

When this file is loaded you cannot move or rename c:\\test before QGIS has been closed.

This happens both when the QLR is loaded through the menu item "Layer -> Add from layer definition file..." and when the python binding

"QgsLayerDefinition.loadLayerDefinition(path, group)" is used.

Affected versions are 2.14, 2.12 and possibly earlier also.

History

#1 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-09-20 05:13 AM - Nyall Dawson

- Status changed from Open to Feedback

- Description updated

This should be fixed with 2.18 - can you confirm?

#3 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown

#4 - 2017-09-25 09:10 AM - Mie Winstrup

Hurray, I have tested with QGIS 2.18.13 and it has been fixed :)

Now, I can add a qlr-file to QGIS and afterwards I'm allowed to change to foldername where the qlr-file is located.

Thanks a lot for the fix.
#5 - 2017-09-25 11:06 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
